aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2008-04-29 21:01:34 +0000
committerRichard Purdie <richard@openedhand.com>2008-04-29 21:01:34 +0000
commitda27611bc9c8506b9411ce9968f71bd229ca0654 (patch)
tree4318cc51f6a80d489e8cadd848ea949d4677652c /scripts
parent5d5fab77cf9616bf62023c202b38f309f8bbf189 (diff)
downloadopenembedded-core-contrib-da27611bc9c8506b9411ce9968f71bd229ca0654.tar.gz
poky-autobuild: Attempt to clean up scripts slightly
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@4371 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/poky-autobuild27
-rwxr-xr-xscripts/poky-autobuild-postprocess47
2 files changed, 43 insertions, 31 deletions
diff --git a/scripts/poky-autobuild b/scripts/poky-autobuild
index 752e0a7bb0..d283b668d3 100755
--- a/scripts/poky-autobuild
+++ b/scripts/poky-autobuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Poky Build Enviroment Setup Script
+# Poky Automated Build Server Enviroment Setup Script
#
# Copyright (C) 2006-2007 OpenedHand Ltd.
#
@@ -18,11 +18,17 @@
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-
-#if test x"$0" = x"./poky-init-build-env"; then
-# echo "Error: Run via '. ./poky-init-build-env'"
-# exit 1
-#fi
+TARGETDIR=/srv/poky/autobuild-output
+CURRDIR=`pwd`
+if [ "$CURRDIR" = "/srv/poky/autobuild/full-shihtzu/build" ]; then
+ ABTARGET="poky"
+elif [ "$CURRDIR" = "/srv/poky/autobuild/full-bleeding-shihtzu/build" ]; then
+ ABTARGET="poky-bleeding"
+elif [ "$CURRDIR" = "/srv/poky/autobuild/toolchain-shihtzu/build" ]; then
+ ABTARGET="toolchain"
+elif [ "$CURRDIR" = "/srv/poky/autobuild/incremental-shihtzu/build" ]; then
+ ABTARGET="incremental"
+fi
if [ "xpreamble" = "x$1" ]; then
mkdir -p ./build/tmp/deploy/images
@@ -38,9 +44,9 @@ POSTPROCESS=`which poky-autobuild-postprocess`
if [ "xcomplete" = "x$1" ]; then
touch ./tmp/deploy/images/images-complete
chmod a+w ./tmp/deploy/images/images-complete
- cd ..
if [ "x$POSTPROCESS" != "x" ]; then
- $POSTPROCESS `pwd`
+ cd ..
+ $POSTPROCESS $ABTARGET $TARGETDIR
fi
exit 0
fi
@@ -59,9 +65,8 @@ fi
bitbake $@
-cd ..
-
if [ "x$POSTPROCESS" != "x" ]; then
- $POSTPROCESS `pwd`
+ cd ..
+ $POSTPROCESS $ABTARGET $TARGETDIR
fi
diff --git a/scripts/poky-autobuild-postprocess b/scripts/poky-autobuild-postprocess
index d9ba72d14d..8262204268 100755
--- a/scripts/poky-autobuild-postprocess
+++ b/scripts/poky-autobuild-postprocess
@@ -1,30 +1,37 @@
#!/bin/sh
-TARGETDIR=/srv/poky/autobuild-output
-if [ "$1" = "/srv/poky/autobuild/full-shihtzu/build" ]; then
- DISTRO="poky"
-fi
-if [ "$1" = "/srv/poky/autobuild/full-bleeding-shihtzu/build" ]; then
- DISTRO="poky-bleeding"
-fi
-if [ "$1" = "/srv/poky/autobuild/toolchain-shihtzu/build" ]; then
- DISTRO="toolchain"
-fi
-if [ "$1" = "/srv/poky/autobuild/incremental-shihtzu/build" ]; then
- DISTRO="incremental"
-fi
+# Poky Automated Build Server Post Processing Script
+#
+# Copyright (C) 2006-2007 OpenedHand Ltd.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+ABTARGET=$1
+TARGETDIR=$2
-cd $1/build/tmp/deploy/
+cd ./build/tmp/deploy/
LASTREV=`tail images/svninfo | grep Revision | cut -f 2 -d ' '`
-DEST=$TARGETDIR/$DISTRO/$LASTREV/
+DEST=$TARGETDIR/$ABTARGET/$LASTREV/
mkdir -p $DEST
COMPRESS_FILES=()
FILES=()
-if [ "x$DISTRO" = "xpoky-bleeding" ]; then
+if [ "x$ABTARGET" = "xpoky-bleeding" ]; then
COMPRESS_FILES=(
poky-image-sato-qemuarm-*.rootfs.ext2
)
@@ -39,14 +46,14 @@ if [ "x$DISTRO" = "xpoky-bleeding" ]; then
)
fi
-if [ "x$DISTRO" = "xtoolchain" ]; then
+if [ "x$ABTARGET" = "xtoolchain" ]; then
FILES=(
svninfo
poky-*-toolchain-*.tar.bz2
)
fi
-if [ "x$DISTRO" = "xpoky" ]; then
+if [ "x$ABTARGET" = "xpoky" ]; then
COMPRESS_FILES=(
poky-image-sdk-qemuarm-*.rootfs.ext2
poky-image-sdk-qemux86-*.rootfs.ext2
@@ -116,8 +123,8 @@ for FILE in ${COMPRESS_FILES[@]}; do
done
done
-if [ -e ./images-complete ]; then
+if [ -e ./images/images-complete ]; then
touch $DEST/complete
fi
-chmod a+w -R $DEST || true
+chmod a+w -R $DEST 2> /dev/null || true